@article{khamassi2005actor,
  title={Actor--Critic models of reinforcement learning in the basal ganglia: from natural to artificial rats},
  author={Khamassi, Mehdi and Lach{\`e}ze, Lo{\"\i}c and Girard, Beno{\^\i}t and Berthoz, Alain and Guillot, Agn{\`e}s},
  journal={Adaptive Behavior},
  volume={13},
  number={2},
  pages={131--148},
  year={2005},
  publisher={Sage Publications Sage CA: Thousand Oaks, CA}
}
@article{suri1999,
author = {Suri, Roland and Schultz, Wolfram},
year = {1999},
month = {02},
pages = {871-90},
title = {A neural network model with dopamine-like reinforcement signal that learns a spatial delayed response task},
volume = {91},
journal = {Neuroscience},
doi = {10.1016/S0306-4522(98)00697-6}
}
@inproceedings{jang1988optimization,
  title={An optimization network for matrix inversion},
  author={Jang, Ju-Seog and Lee, Soo-Young and Shin, Sang-Yung},
  booktitle={Neural information processing systems},
  pages={397--401},
  year={1988}
}
@inproceedings{ducarouge2017successor,
  title={The Successor Representation as a model of behavioural flexibility},
  author={Ducarouge, Alexis and Sigaud, Olivier},
  booktitle={Journ{\'e}es Francophones sur la Planification, la D{\'e}cision et l'Apprentissage pour la conduite de syst{\`e}mes (JFPDA 2017)},
  year={2017}
}
@article{mehta2000experience,
  title={Experience-dependent asymmetric shape of hippocampal receptive fields},
  author={Mehta, Mayank R and Quirk, Michael C and Wilson, Matthew A},
  journal={Neuron},
  volume={25},
  number={3},
  pages={707--715},
  year={2000},
  publisher={Elsevier}
}
@article{gustafson2011grid,
  title={Grid cells, place cells, and geodesic generalization for spatial reinforcement learning},
  author={Gustafson, Nicholas J and Daw, Nathaniel D},
  journal={PLoS computational biology},
  volume={7},
  number={10},
  pages={e1002235},
  year={2011},
  publisher={Public Library of Science}
}
@article{gonner2017predictive,
  title={Predictive place-cell sequences for goal-finding emerge from goal memory and the cognitive map: A computational model},
  author={G{\"o}nner, Lorenz and Vitay, Julien and Hamker, Fred H},
  journal={Frontiers in computational neuroscience},
  volume={11},
  pages={84},
  year={2017},
  publisher={Frontiers}
}
@article{russek2017predictive,
  title={Predictive representations can link model-based reinforcement learning to model-free mechanisms},
  author={Russek, Evan M and Momennejad, Ida and Botvinick, Matthew M and Gershman, Samuel J and Daw, Nathaniel D},
  journal={PLoS computational biology},
  volume={13},
  number={9},
  pages={e1005768},
  year={2017},
  publisher={Public Library of Science}
}
@article{stachenfeld2017hippocampus,
  title={The hippocampus as a predictive map},
  author={Stachenfeld, Kimberly L and Botvinick, Matthew M and Gershman, Samuel J},
  journal={Nature neuroscience},
  volume={20},
  number={11},
  pages={1643},
  year={2017},
  publisher={Nature Publishing Group}
}
@book{andersen2006hippocampus,
  title={The hippocampus book},
  author={Andersen, Per and Morris, Richard and Amaral, David and Bliss, Tim and O'Keefe, John},
  year={2006},
  publisher={Oxford university press}
}
@book{o1978hippocampus,
  title={The hippocampus as a cognitive map},
  author={O'keefe, John and Nadel, Lynn},
  year={1978},
  publisher={Oxford: Clarendon Press}
}
@article{hafting2005microstructure,
  title={Microstructure of a spatial map in the entorhinal cortex},
  author={Hafting, Torkel and Fyhn, Marianne and Molden, Sturla and Moser, May-Britt and Moser, Edvard I},
  journal={Nature},
  volume={436},
  number={7052},
  pages={801},
  year={2005},
  publisher={Nature Publishing Group}
}
@article{POUCET201751,
title = "Remembering goal locations",
journal = "Current Opinion in Behavioral Sciences",
volume = "17",
pages = "51 - 56",
year = "2017",
note = "Memory in time and space",
issn = "2352-1546",
doi = "https://doi.org/10.1016/j.cobeha.2017.06.003",
url = "http://www.sciencedirect.com/science/article/pii/S2352154616302832",
author = "B Poucet and V Hok",
abstract = "Spatial navigation encompasses the capability to compute various paths leading to one's goal. In order to achieve such a feat, a navigation system must also have access to the animal's current location. Although the latter is well documented with over forty years of research devoted to hippocampal place cells, how the goal location is coded and kept in memory is a much more debated issue. Here, we review evidence that such processing occurs within a small network of structures involving at the very least the hippocampus and the frontal cortex. Indeed, growing evidence suggests that path planning relies on a much more extended neural network, with each of its subcomponent ensuring a specific role in the overall process. We suggest that understanding how goal location is remembered can only be achieved through a better characterization of the time-defined events during path planning at both neural and behavioral levels."
}
@article{dayan1993improving,
  title={Improving generalization for temporal difference learning: The successor representation},
  author={Dayan, Peter},
  journal={Neural Computation},
  volume={5},
  number={4},
  pages={613--624},
  year={1993},
  publisher={MIT Press}
}
@article{sutton2011reinforcement,
  title={Reinforcement learning: An introduction},
  author={Sutton, Richard S and Barto, Andrew G}
}
@article{bonet2007speed,
  title={On the speed of convergence of value iteration on stochastic shortest-path problems},
  author={Bonet, Blai},
  journal={Mathematics of Operations Research},
  volume={32},
  number={2},
  pages={365--373},
  year={2007},
  publisher={INFORMS}
}
@article{mnih2015human,
  title={Human-level control through deep reinforcement learning},
  author={Mnih, Volodymyr and Kavukcuoglu, Koray and Silver, David and Rusu, Andrei A and Veness, Joel and Bellemare, Marc G and Graves, Alex and Riedmiller, Martin and Fidjeland, Andreas K and Ostrovski, Georg and others},
  journal={Nature},
  volume={518},
  number={7540},
  pages={529},
  year={2015},
  publisher={Nature Publishing Group}
}
@article{schulman2017proximal,
  title={Proximal policy optimization algorithms},
  author={Schulman, John and Wolski, Filip and Dhariwal, Prafulla and Radford, Alec and Klimov, Oleg},
  journal={arXiv preprint arXiv:1707.06347},
  year={2017}
}
@inproceedings{schulman2015trust,
  title={Trust region policy optimization},
  author={Schulman, John and Levine, Sergey and Abbeel, Pieter and Jordan, Michael and Moritz, Philipp},
  booktitle={International conference on machine learning},
  pages={1889--1897},
  year={2015}
}
@inproceedings{mnih2016asynchronous,
  title={Asynchronous methods for deep reinforcement learning},
  author={Mnih, Volodymyr and Badia, Adria Puigdomenech and Mirza, Mehdi and Graves, Alex and Lillicrap, Timothy and Harley, Tim and Silver, David and Kavukcuoglu, Koray},
  booktitle={International conference on machine learning},
  pages={1928--1937},
  year={2016}
}
@article{aarts2000habits,
  title={Habits as knowledge structures: Automaticity in goal-directed behavior.},
  author={Aarts, Henk and Dijksterhuis, Ap},
  journal={Journal of personality and social psychology},
  volume={78},
  number={1},
  pages={53},
  year={2000},
  publisher={American Psychological Association}
}
@article{miller2019habits,
  title={Habits without values.},
  author={Miller, Kevin J and Shenhav, Amitai and Ludvig, Elliot A},
  journal={Psychological review},
  year={2019},
  publisher={American Psychological Association}
}
@article{gershman2018successor,
  title={The successor representation: its computational logic and neural substrates},
  author={Gershman, Samuel J},
  journal={Journal of Neuroscience},
  volume={38},
  number={33},
  pages={7193--7200},
  year={2018},
  publisher={Soc Neuroscience}
}
@article{momennejad2012human,
  title={Human anterior prefrontal cortex encodes the ‘what’and ‘when’of future intentions},
  author={Momennejad, Ida and Haynes, John-Dylan},
  journal={Neuroimage},
  volume={61},
  number={1},
  pages={139--148},
  year={2012},
  publisher={Elsevier}
}
@article{gershman2012successor,
  title={The successor representation and temporal context},
  author={Gershman, Samuel J and Moore, Christopher D and Todd, Michael T and Norman, Kenneth A and Sederberg, Per B},
  journal={Neural Computation},
  volume={24},
  number={6},
  pages={1553--1568},
  year={2012},
  publisher={MIT Press}
}

@article {Momennejad449470,
	author = {Momennejad, Ida and Howard, Marc W.},
	title = {Predicting the Future with Multi-scale Successor Representations},
	elocation-id = {449470},
	year = {2018},
	doi = {10.1101/449470},
	publisher = {Cold Spring Harbor Laboratory},
	abstract = {The successor representation (SR) is a candidate principle for generalization in reinforcement learning, computational accounts of memory, and the structure of neural representations in the hippocampus. Given a sequence of states, the SR learns a predictive representation for every given state that encodes how often, on average, each upcoming state is expected to be visited, even if it is multiple steps ahead. A discount or scale parameter determines how many steps into the future SR{\textquoteright}s generalizations reach, enabling rapid value computation, subgoal discovery, and flexible decision-making in large trees. However, SR with a single scale could discard information for predicting both the sequential order of and the distance between states, which are common problems in navigation for animals and artificial agents. Here we propose a solution: an ensemble of SRs with multiple scales. We show that the derivative of multi-scale SR can reconstruct both the sequence of expected future states and estimate distance to goal. This derivative can be computed linearly: we show that a multi-scale SR ensemble is the Laplace transform of future states, and the inverse of this Laplace transform is a biologically plausible linear estimation of the derivative. Multi-scale SR and its derivative could lead to a common principle for how the medial temporal lobe supports both map-based and vector-based navigation.},
	URL = {https://www.biorxiv.org/content/early/2018/10/22/449470},
	eprint = {https://www.biorxiv.org/content/early/2018/10/22/449470.full.pdf},
	journal = {bioRxiv}
}
@article{shankar2013optimally,
  title={Optimally fuzzy temporal memory},
  author={Shankar, Karthik H and Howard, Marc W},
  journal={The Journal of Machine Learning Research},
  volume={14},
  number={1},
  pages={3785--3812},
  year={2013},
  publisher={JMLR. org}
}
@article{post1930generalized,
  title={Generalized differentiation},
  author={Post, Emil L},
  journal={Transactions of the American Mathematical Society},
  volume={32},
  number={4},
  pages={723--781},
  year={1930}
}
@article{jakel2009does,
  title={Does cognitive science need kernels?},
  author={J{\"a}kel, Frank and Sch{\"o}lkopf, Bernhard and Wichmann, Felix A},
  journal={Trends in cognitive sciences},
  volume={13},
  number={9},
  pages={381--388},
  year={2009},
  publisher={Elsevier}
}
@article{scikit-learn,
 title={Scikit-learn: Machine Learning in {P}ython},
 author={Pedregosa, F. and Varoquaux, G. and Gramfort, A. and Michel, V.
         and Thirion, B. and Grisel, O. and Blondel, M. and Prettenhofer, P.
         and Weiss, R. and Dubourg, V. and Vanderplas, J. and Passos, A. and
         Cournapeau, D. and Brucher, M. and Perrot, M. and Duchesnay, E.},
 journal={Journal of Machine Learning Research},
 volume={12},
 pages={2825--2830},
 year={2011}
}
@article{fyhn2007hippocampal,
  title={Hippocampal remapping and grid realignment in entorhinal cortex},
  author={Fyhn, Marianne and Hafting, Torkel and Treves, Alessandro and Moser, May-Britt and Moser, Edvard I},
  journal={Nature},
  volume={446},
  number={7132},
  pages={190},
  year={2007},
  publisher={Nature Publishing Group}
}
@article{glimcher2011understanding,
  title={Understanding dopamine and reinforcement learning: the dopamine reward prediction error hypothesis},
  author={Glimcher, Paul W},
  journal={Proceedings of the National Academy of Sciences},
  volume={108},
  number={Supplement 3},
  pages={15647--15654},
  year={2011},
  publisher={National Acad Sciences}
}
@article{doll2012ubiquity,
  title={The ubiquity of model-based reinforcement learning},
  author={Doll, Bradley B and Simon, Dylan A and Daw, Nathaniel D},
  journal={Current opinion in neurobiology},
  volume={22},
  number={6},
  pages={1075--1081},
  year={2012},
  publisher={Elsevier}
}
@article{crosby2019animal,
  title={The Animal-AI Olympics},
  author={Crosby, Matthew and Beyret, Benjamin and Halina, Marta},
  journal={Nature Machine Intelligence},
  volume={1},
  number={5},
  pages={257},
  year={2019},
  publisher={Nature Publishing Group}
}
@article{carr2011hippocampal,
  title={Hippocampal replay in the awake state: a potential substrate for memory consolidation and retrieval},
  author={Carr, Margaret F and Jadhav, Shantanu P and Frank, Loren M},
  journal={Nature neuroscience},
  volume={14},
  number={2},
  pages={147},
  year={2011},
  publisher={Nature Publishing Group}
}
@article{sarel2017vectorial,
  title={Vectorial representation of spatial goals in the hippocampus of bats},
  author={Sarel, Ayelet and Finkelstein, Arseny and Las, Liora and Ulanovsky, Nachum},
  journal={Science},
  volume={355},
  number={6321},
  pages={176--180},
  year={2017},
  publisher={American Association for the Advancement of Science}
}
@article{gauthier2018dedicated,
  title={A dedicated population for reward coding in the hippocampus},
  author={Gauthier, Jeffrey L and Tank, David W},
  journal={Neuron},
  volume={99},
  number={1},
  pages={179--193},
  year={2018},
  publisher={Elsevier}
}
@article{qasim2018neurons,
  title={Neurons remap to represent memories in the human entorhinal cortex},
  author={Qasim, Salman E and Miller, Jonathan and Inman, Cory S and Gross, Robert and Willie, Jon T and Lega, Bradley and Lin, Jui-Jui and Sharan, Ashwini and Wu, Chengyuan and Sperling, Michael R and others},
  journal={bioRxiv},
  pages={433862},
  year={2018},
  publisher={Cold Spring Harbor Laboratory}
}
